import 'package:tingyun_flutter_plugin/src/agent/interface/web_request_timing.dart';

class NullWebRequestTiming implements TYWebRequestTiming{
  @override
  String getRequestTag() {
    return "";
  }

  @override
  String getRequestTagHeader() {
    return "";
  }

  @override
  void start() {
    return;
  }

  @override
  void stop(int responseCode) {
    return;
  }

  @override
  void withDnsInfo(int dnsTime, String ipInfo) {
    return;
  }

}