import 'package:flutter_test/flutter_test.dart';
import 'package:tingyun_flutter_plugin/src/agent/util/string_utils.dart';

void main(){
  group('test string utils', (){

    test('null test', (){
      expect(StringUtils.isStringNullOrEmpty(null), true);
      expect(StringUtils.isStringNullOrEmpty(''), true);
      expect(StringUtils.isStringNullOrEmpty('abc'), false);
      expect(StringUtils.isStringNullOrEmpty('    '), false);
    });

    test('isStringNullEmptyOrWhitespace', (){
      expect(StringUtils.isStringNullEmptyOrWhitespace(null), true);
      expect(StringUtils.isStringNullEmptyOrWhitespace(''), true);
      expect(StringUtils.isStringNullEmptyOrWhitespace('abc'), false);
      expect(StringUtils.isStringNullEmptyOrWhitespace('    '), true);
    });

    /// 这种是匿名函数
    // (){
    //
    // };

    test('dynamic desc', (){
      dynamic temp = 'dynamic type';
      print(temp.runtimeType);
      if (temp is String)
        print('temp is String');
      else
        print('temp is not String');

      temp = 123;
    });
  });

}