import 'package:flutter_test/flutter_test.dart';

import 'PrivateClass.dart';

void main(){
  test('function', (){
    runNamedFunction(bold: true);
    runPositonalFunction(true, false);
    runMixelFunction(false, hidden: false);
  });

  var tt = testA();
  tt.greet();

  var ss = testB._private();
  ss.greet();
}

void runNamedFunction({bool bold = false, bool? hidden}){
  print("runNamedFunction bold:$bold, hidden:$hidden");
}

void runPositonalFunction([bool? bold, bool hidden = true]){
  print("runPositonalFunction bold:$bold, hidden:$hidden");
}

void runMixelFunction(bool isnormal, {bool bold = false, bool? hidden}){
  print("runPositonalFunction isnormal:$isnormal,bold:$bold, hidden:$hidden");
}

class testA{
  void greet() => print('testA greet');
}

class testB extends testA{
  // // @override
  // void greet() {
  //   print('testB greet');
  // }

  testB._private(){
    print('testB private construct');
  }

  @override
  void greet() {
    super.greet();
    print('testB greet');
  }

}