import 'package:tingyun_flutter_plugin/src/agent/action/interface/action.dart';

abstract class TingyunRootAction implements TingyunAction {

  /// Enters a (child) Action with a specified [actionName] on this Action.
  /// If the given [actionName] is [null] or an empty string, no reporting
  /// will happen on that [RootAction].
  TingyunAction enterAction(String actionName);

  bool isClosed();
}