import 'dart:io';

import 'package:tingyun_flutter_plugin/src/agent/http/http_client.dart';

import '../agent_impl.dart';
import '../interface/newlens_agent.dart';

class TingyunHttpOverrides extends HttpOverrides {
  Tingyun _newlens;

  /// 构造函数的简洁写法
  TingyunHttpOverrides(this._newlens);

  @override
  HttpClient createHttpClient(SecurityContext? context) {
    return TingyunHttpClient(super.createHttpClient(context), _newlens as TingyunFlutterImpl);
  }

}